---
title: Atomics.load()
slug: Web/JavaScript/Reference/Global_Objects/Atomics/load
tags:
  - Atomics
  - JavaScript
  - Method
  - Shared Memory
---
<div>{{JSRef}}</div>

<p>The static <code><strong>Atomics</strong></code><strong><code>.load()</code></strong> method returns a value at a given position in the array.</p>

<div>{{EmbedInteractiveExample("pages/js/atomics-load.html")}}</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">Atomics.load(typedArray, index)
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>typedArray</code></dt>
 <dd>An integer typed array. One of {{jsxref("Int8Array")}}, {{jsxref("Uint8Array")}}, {{jsxref("Int16Array")}}, {{jsxref("Uint16Array")}}, {{jsxref("Int32Array")}}, {{jsxref("Uint32Array")}}, {{jsxref("BigInt64Array")}}, or {{jsxref("BigUint64Array")}}.</dd>
 <dt><code>index</code></dt>
 <dd>The position in the <code>typedArray</code> to load from.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>The value at the given position (<code>typedArray[index]</code>).</p>

<h3 id="Exceptions">Exceptions</h3>

<ul>
 <li>Throws a {{jsxref("TypeError")}}, if <code>typedArray</code> is not one of the allowed integer types.</li>
 <li>Throws a {{jsxref("RangeError")}}, if <code>index</code> is out of bounds in the <code>typedArray</code>.</li>
</ul>

<h2 id="Examples">Examples</h2>

<h3 id="Using_load">Using <code>load</code></h3>

<pre class="brush: js notranslate">const sab = new SharedArrayBuffer(1024);
const ta = new Uint8Array(sab);

Atomics.add(ta, 0, 12);
Atomics.load(ta, 0); // 12</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
  </tr>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-atomics.load', 'Atomics.load')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.builtins.Atomics.load")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("Atomics")}}</li>
 <li>{{jsxref("Atomics.store()")}}</li>
</ul>
